# Class WebMessageNotification

Namespace
  adas_core.Domain.Models

Assembly
  adas-core.Domain.dll

Represents a notification that is delivered via a web-based message channel.

    public class WebMessageNotification

Inheritance
  object
  WebMessageNotification

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This type encapsulates the data required to send or describe a web message notification to a recipient.

## Properties

### Body

    public string? Body { get; set; }

#### Property Value

string

### Icon

    public string? Icon { get; set; }

#### Property Value

string

### Title

    public string? Title { get; set; }

#### Property Value

string

### Vibrate

    public int[]? Vibrate { get; set; }

#### Property Value

int[]